SparkFun Triad Spectroscopy Sensor - AS7265x (Qwiic)
===========================================================

[![SparkFun Triad Spectroscopy Sensor](https://cdn.sparkfun.com//assets/parts/1/3/3/9/3/15050-SparkFun_Triad_Spectroscopy_Sensor_-_AS7265x__Qwiic_-01.jpg)](https://www.sparkfun.com/products/15050)

[*SparkFun Triad Spectroscopy Sensor (SEN-15050)*](https://www.sparkfun.com/products/15050)

This is an Arduino library to control the AS7265X Spectral Sensors, which can be configured via I<sup>2</sup>C. You can download this library via the Arduino library manager by searching '*SparkFun Triad*'. 

The SparkFun Triad Spectroscopy Sensor is a powerful optical inspection sensor. Three AS7265x sensors are combined alongside a visible, UV, and IR LEDs to illuminate and test various surfaces for light spectroscopy. The Triad detects 18 discrete channels of light from 372nm (UV) to 966nm (IR) enabling desktop spectroscopy.

What can you do with light spectroscopy? It’s an amazing field of study, and the SparkFun Triad brings what used to be prohibitively expensive equipment to the desktop. The AS7265x should not be confused with highly complex mass spectrometers, but the sensor array does give the user the ability to measure and characterize how different materials absorb and reflect 18 different frequencies of light.

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------
* **[Arduino Library](https://github.com/sparkfun/SparkFun_AS7265x_Arduino_Library)** - Arduino Library for the SparkFun Triad Spectroscopy Sensor.
* **[Hookup Guide](https://learn.sparkfun.com/tutorials/spectral-triad-hookup-guide)** - Basic hookup guide for the SparkFun Triad Spectroscopy Sensor.

License Information
-------------------

This product is _**open source**_! 

Various bits of the code have different licenses applied. Anything SparkFun wrote is beerware; if you see me (or any other SparkFun employee) at the local, and you've found our code helpful, please buy us a round!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
